//
//  FileManager.m
//  LemonSDK
//
//  Created by Fabian on 12/21/12.
//  Copyright (c) 2012 Lemon. All rights reserved.
//

#import "StoreFileManager.h"

@implementation StoreFileManager

- (id) init{
    self = [super init];
    return self;
}


- (BOOL)doesFileExists:(NSString *)_name
{
	NSArray *paths = NSSearchPathForDirectoriesInDomains(NSDocumentDirectory,
                                                         NSUserDomainMask,
                                                         YES);
    NSString *docs = [paths objectAtIndex:0];
    NSString *path = [docs stringByAppendingPathComponent:_name];
    
	if ([[NSFileManager defaultManager] fileExistsAtPath:path])
        return YES;
    
    return NO;
}

- (void)writeData:(NSData *)_data withName:(NSString *)_name
{
    
    NSArray *paths = NSSearchPathForDirectoriesInDomains(NSDocumentDirectory,
                                                         NSUserDomainMask,
                                                         YES);
    NSString *docs = [paths objectAtIndex:0];
    NSString *filename = _name;
    NSString *path = [docs stringByAppendingPathComponent:filename];
    [_data writeToFile:path atomically:YES];
    
}

- (NSData *)getDataWithName:(NSString *)_name
{
    
    NSArray *paths = NSSearchPathForDirectoriesInDomains(NSDocumentDirectory,
                                                         NSUserDomainMask,
                                                         YES);
    NSString *docs = [paths objectAtIndex:0];
    NSString *filename = _name;
    NSString *path = [docs stringByAppendingPathComponent:filename];
    NSData   *data = [NSData dataWithContentsOfFile:path];
    
    return data;
}


@end
